//
//  GSAlert.h
//  GlyphsCore
//
//  Created by Georg Seifert on 22.01.12.
//  Copyright 2012 schriftgestaltung.de. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface GSAlert : NSObject {
	NSString * _messageText;
	NSString * _informativeText;
	NSAttributedString * _attributedInformativeText;
	NSWindow * _window;
	NSUInteger _returnValue;
	NSButton * _okButton;
	NSImageView * _imageView;
	NSTextView * _informativeTextView;
	NSTextField * _messageTextField;	
}
@property (nonatomic, readonly) NSWindow *window;
@property (nonatomic, strong) NSString *messageText;
@property (nonatomic, strong) NSString *informativeText;
@property (nonatomic, strong) NSAttributedString *attributedInformativeText;
- (NSInteger)runModal;
- (void) setDefaultButtonTitle:(NSString*) Title;
@end
